import { Container } from '@react-three/uikit';
import React, { ComponentPropsWithoutRef, ReactNode } from 'react';
declare const alertVariants: {
    default: {};
    destructive: {
        borderColor: import("@preact/signals-core").ReadonlySignal<import("@react-three/fiber").Color>;
        borderOpacity: number;
        color: import("@preact/signals-core").ReadonlySignal<import("@react-three/fiber").Color>;
    };
};
export declare function Alert(props: ComponentPropsWithoutRef<typeof Container> & {
    variant?: keyof typeof alertVariants;
}): React.JSX.Element;
export declare function AlertIcon(props: ComponentPropsWithoutRef<typeof Container>): React.JSX.Element;
export declare function AlertTitle({ children, ...props }: ComponentPropsWithoutRef<typeof Container>): React.JSX.Element;
export declare function AlertDescription({ children }: {
    children?: ReactNode;
}): React.JSX.Element;
export {};
