import { Container } from '@react-three/uikit';
import React, { ComponentPropsWithoutRef } from 'react';
declare const buttonVariants: {
    default: {
        containerHoverProps: {
            backgroundOpacity: number;
        };
        containerProps: {
            backgroundColor: import("@preact/signals-core").ReadonlySignal<import("@react-three/fiber").Color>;
        };
        defaultProps: {
            color: import("@preact/signals-core").ReadonlySignal<import("@react-three/fiber").Color>;
        };
    };
    destructive: {
        containerHoverProps: {
            backgroundOpacity: number;
        };
        containerProps: {
            backgroundColor: import("@preact/signals-core").ReadonlySignal<import("@react-three/fiber").Color>;
        };
        defaultProps: {
            color: import("@preact/signals-core").ReadonlySignal<import("@react-three/fiber").Color>;
        };
    };
    outline: {
        containerHoverProps: {
            backgroundColor: import("@preact/signals-core").ReadonlySignal<import("@react-three/fiber").Color>;
        };
        containerProps: {
            border: number;
            borderColor: import("@preact/signals-core").ReadonlySignal<import("@react-three/fiber").Color>;
            backgroundColor: import("@preact/signals-core").ReadonlySignal<import("@react-three/fiber").Color>;
        };
    };
    secondary: {
        containerHoverProps: {
            backgroundOpacity: number;
        };
        containerProps: {
            backgroundColor: import("@preact/signals-core").ReadonlySignal<import("@react-three/fiber").Color>;
        };
        defaultProps: {
            color: import("@preact/signals-core").ReadonlySignal<import("@react-three/fiber").Color>;
        };
    };
    ghost: {
        containerHoverProps: {
            backgroundColor: import("@preact/signals-core").ReadonlySignal<import("@react-three/fiber").Color>;
        };
        defaultProps: {};
    };
    link: {
        containerProps: {};
        defaultProps: {
            color: import("@preact/signals-core").ReadonlySignal<import("@react-three/fiber").Color>;
        };
    };
};
declare const buttonSizes: {
    default: {
        height: number;
        paddingX: number;
        paddingY: number;
    };
    sm: {
        height: number;
        paddingX: number;
    };
    lg: {
        height: number;
        paddingX: number;
    };
    icon: {
        height: number;
        width: number;
    };
};
export declare function Button({ children, variant, size, disabled, hover, ...props }: ComponentPropsWithoutRef<typeof Container> & {
    variant?: keyof typeof buttonVariants;
    size?: keyof typeof buttonSizes;
    disabled?: boolean;
}): React.JSX.Element;
export {};
