import { Container } from '@react-three/uikit';
import React, { ComponentPropsWithoutRef } from 'react';
declare const toggleVariants: {
    default: {
        containerHoverProps: undefined;
        containerProps: undefined;
    };
    outline: {
        containerProps: {
            border: number;
            borderColor: import("@preact/signals-core").ReadonlySignal<import("@react-three/fiber").Color>;
        };
        containerHoverProps: {
            backgroundColor: import("@preact/signals-core").ReadonlySignal<import("@react-three/fiber").Color>;
        };
    };
};
declare const toggleSizes: {
    default: {
        height: number;
        paddingX: number;
    };
    sm: {
        height: number;
        paddingX: number;
    };
    lg: {
        height: number;
        paddingX: number;
    };
};
export declare function ToggleGroup({ children, size, variant, ...props }: ComponentPropsWithoutRef<typeof Container> & {
    variant?: keyof typeof toggleVariants;
    size?: keyof typeof toggleSizes;
}): React.JSX.Element;
export declare function ToggleGroupItem({ children, defaultChecked, checked: providedChecked, disabled, onCheckedChange, hover, ...props }: ComponentPropsWithoutRef<typeof Container> & {
    defaultChecked?: boolean;
    checked?: boolean;
    disabled?: boolean;
    onCheckedChange?(checked: boolean): void;
}): React.JSX.Element;
export {};
